# moodle-tool_opencast - Opencast API #

This tool provides API functions as well as general settings for the different opencast tools.

This file is part of the mod_opencast plugin for Moodle - <http://moodle.org/>

*Maintainer:*   Thomas Niedermaier (Universität Münster), Farbod Zamani (Elan e.V.)

*Copyright:* 2024 Thomas Niedermaier, UNIVERSITÄT MÜNSTER

*License:*   [GNU GPL v3 or later](http://www.gnu.org/copyleft/gpl.html)


Description
-----------

This tool provides API functions as well as general settings for the different opencast tools:
* [block_opencast](https://github.com/unirz-tu-ilmenau/moodle-block_opencast)
* [mod_opencast](https://github.com/unirz-tu-ilmenau/moodle-mod_opencast)
* [filter_opencast](https://github.com/unirz-tu-ilmenau/moodle-filter_opencast)
* [repository_opencast](https://github.com/unirz-tu-ilmenau/moodle-repository_opencast)

The tool stores the relation between courses and series ids and 
offers webservice endpoints for the opencast role provider. 


Installation
------------

* Copy the module code directly to the admin/tool/opencast directory.

* Log into Moodle as administrator.

* Open the administration area (http://your-moodle-site/admin) to start the installation
  automatically.


Admin Settings
--------------

View the documentation of the plugin settings [here](https://moodle.docs.opencast.org/#tool/settings/).


## Documentation ##

The full documentation of the plugin can be found [here](https://moodle.docs.opencast.org/#tool/about/).


Bug Reports / Support
---------------------

We try our best to deliver bug-free plugins, but we can not test the plugin for every platform,
database, PHP and Moodle version. If you find any bug please report it on
[GitHub](https://github.com/Opencast-Moodle/moodle-tool_opencast/issues). Please
provide a detailed bug description, including the plugin and Moodle version and, if applicable, a
screenshot.

You may also file a request for enhancement on GitHub.


## License ##

This plugin is developed in cooperation with the TU Ilmenau and the WWU Münster.

It is based on 2017 Andreas Wagner, SYNERGY LEARNING

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
